Download it now!
Bug 56483 - Randomly-appearing off-by-one-pixel issues with image overlapping.
Summary: Randomly-appearing off-by-one-pixel issues with image overlapping.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Draw-Images
  Show dependency treegraph
 
Reported: 2012-10-28 07:33 UTC by Brennan Vincent
Modified: 2019-06-16 02:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
File displaying the problem. (1.31 MB, application/vnd.oasis.opendocument.graphics)
2012-10-28 07:33 UTC, Brennan Vincent
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brennan Vincent 2012-10-28 07:33:43 UTC
Created attachment 69180 [details]
File displaying the problem.

Consider the attached file. [Excuse the garish, bad look of this file; it was generated with the still imperfect pub2odg ;) ]

The central image is overlapped on the left by several smaller images (reproductions of the United Nations logo), which are intended to fit together with no gaps between them. However, we can intermittently see small one-pixel gaps between the images, letting small slices of the central image show through. Zoom in and out and pan around and you'll see some of these slices appear and disappear in seemingly random places.

I guess that this is due to some sort of roundoff error in determining how many pixels an image should represent, but I'm not a draw expert ;)

Perhaps this is interesting: in the original file, the small images have heights and widths of 0.5 inches exactly, which, for those not living in some silly country refusing to give up its traditional system of units, is 1.27 centimeters -- and this is an exact definition, not an approximation. However, if one opens the file in Draw and then saves it out again, one will find that the heights and widths are now 1.269 centimeters, not 1.27 as expected. Could this missing thousandth of a centimeter be the culprit? Perhaps, but then when I change the sizes to 1.27 centimeters manually and open the file, the problem persists, so perhaps this has nothing to do with it.

Brennan
Comment 1 Buovjaga 2014-11-07 14:37:23 UTC
Confirmed.

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: 8b21b5cbe78945b27525b4ce78ae3d981f90590f
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-06_03:55:51
Comment 2 Buovjaga 2015-01-07 18:30:24 UTC
Set version number after reproducing with:

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

Lowered severity: https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg
Comment 3 QA Administrators 2016-01-17 20:03:34 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-03-06 14:11:00 UTC Comment hidden (obsolete)
Comment 5 Thomas Lendo 2018-06-03 21:32:15 UTC
I don't see any image in the attached file, only white areas.

Version: 6.2.0.0.alpha0+
Build ID: 7725eff80a7bc3f3e422e56e1cd7bfa531f19a70
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group threaded
Comment 6 QA Administrators 2019-06-16 02:57:12 UTC
Dear Brennan Vincent,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug